package com.ssj.bean.sys.homework.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_homework_picture_vague_record")
public class HomeworkPictureVagueRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private String homeworkPictureId;

    private String pictureVaguePath;

    private Date pictureVagueUploadTime;

    private Date pictureVagueTime;

    private String userId;

    /**
     * 重拍图片类型，1模糊图片，3作业不全
     */
    private int type;
    @Column( updatable = false)
    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getPictureVaguePath() {
        return pictureVaguePath;
    }

    public void setPictureVaguePath(String pictureVaguePath) {
        this.pictureVaguePath = pictureVaguePath;
    }

    public Date getPictureVagueUploadTime() {
        return pictureVagueUploadTime;
    }

    public void setPictureVagueUploadTime(Date pictureVagueUploadTime) {
        this.pictureVagueUploadTime = pictureVagueUploadTime;
    }

    public Date getPictureVagueTime() {
        return pictureVagueTime;
    }

    public void setPictureVagueTime(Date pictureVagueTime) {
        this.pictureVagueTime = pictureVagueTime;
    }


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
